Intel® X86 Encoder Decoder: xed_flag_set_s Union Reference

Intel® X86 Encoder Decoder

Loading...
Searching...
No Matches
xed_flag_set_s Union Reference
Flags Interface

a union of flags bits More...

`#include <xed-flags.h>`

## Data Fields
xed_uint32_t | flat
struct { |
xed_uint32_t _if:1 |
| underscore to avoid token clash More...
xed_uint32_t ac:1 |
xed_uint32_t af:1 |
| bit 4 More...
xed_uint32_t cf:1 |
| bit 0 More...
xed_uint32_t df:1 |
xed_uint32_t fc0:1 |
| x87 flag FC0 (not really part of rflags) More...
xed_uint32_t fc1:1 |
| x87 flag FC1 (not really part of rflags) More...
xed_uint32_t fc2:1 |
| x87 flag FC2 (not really part of rflags) More...
xed_uint32_t fc3:1 |
| x87 flag FC3 (not really part of rflags) More...
xed_uint32_t id:1 |
| bit 21 More...
xed_uint32_t iopl:2 |
| A 2-bit field, bits 12-13. More...
xed_uint32_t must_be_0a:1 |
xed_uint32_t must_be_0b:1 |
xed_uint32_t must_be_0c:1 |
xed_uint32_t must_be_0d:2 |
| bits 22-23 More...
xed_uint32_t must_be_0e:4 |
| bits 24-27 More...
xed_uint32_t must_be_1:1 |
xed_uint32_t nt:1 |
xed_uint32_t of:1 |
xed_uint32_t pf:1 |
xed_uint32_t rf:1 |
| bit 16 More...
xed_uint32_t sf:1 |
xed_uint32_t tf:1 |
| bit 8 More...
xed_uint32_t vif:1 |
xed_uint32_t vip:1 |
| bit 20 More...
xed_uint32_t vm:1 |
xed_uint32_t zf:1 |
} | s

## Detailed Description

a union of flags bits

## Field Documentation

## ◆ _if

xed_uint32_t _if

underscore to avoid token clash

## ◆ ac

xed_uint32_t ac

## ◆ af

xed_uint32_t af

bit 4

## ◆ cf

xed_uint32_t cf

bit 0

## ◆ df

xed_uint32_t df

## ◆ fc0

xed_uint32_t fc0

x87 flag FC0 (not really part of rflags)

## ◆ fc1

xed_uint32_t fc1

x87 flag FC1 (not really part of rflags)

## ◆ fc2

xed_uint32_t fc2

x87 flag FC2 (not really part of rflags)

## ◆ fc3

xed_uint32_t fc3

x87 flag FC3 (not really part of rflags)

## ◆ flat

xed_uint32_t flat

## ◆ id

xed_uint32_t id

bit 21

## ◆ iopl

xed_uint32_t iopl

A 2-bit field, bits 12-13.

## ◆ must_be_0a

xed_uint32_t must_be_0a

## ◆ must_be_0b

xed_uint32_t must_be_0b

## ◆ must_be_0c

xed_uint32_t must_be_0c

## ◆ must_be_0d

xed_uint32_t must_be_0d

bits 22-23

## ◆ must_be_0e

xed_uint32_t must_be_0e

bits 24-27

## ◆ must_be_1

xed_uint32_t must_be_1

## ◆ nt

xed_uint32_t nt

## ◆ of

xed_uint32_t of

## ◆ pf

xed_uint32_t pf

## ◆ rf

xed_uint32_t rf

bit 16

## ◆ [struct]

struct { ... } s

## ◆ sf

xed_uint32_t sf

## ◆ tf

xed_uint32_t tf

bit 8

## ◆ vif

xed_uint32_t vif

## ◆ vip

xed_uint32_t vip

bit 20

## ◆ vm

xed_uint32_t vm

## ◆ zf

xed_uint32_t zf

The documentation for this union was generated from the following file:

- xed-flags.h